ChangeSet 1.1254.4.38, 2003/06/04 12:34:15-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pci/search.c


 drivers/pci/search.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/search.c b/drivers/pci/search.c
--- a/drivers/pci/search.c	Wed Jun  4 18:09:18 2003
+++ b/drivers/pci/search.c	Wed Jun  4 18:09:18 2003
@@ -55,9 +55,9 @@
 struct pci_dev *
 pci_find_slot(unsigned int bus, unsigned int devfn)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if (dev->bus->number == bus && dev->devfn == devfn)
 			return dev;
 	}
